package org.jvending.registry.test;

import java.io.InputStream;
import java.io.IOException;
import java.util.Hashtable;

import org.kxml2.io.KXmlParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParser;

public class BadRepository {

    public void load(InputStream inputStream, Hashtable properties) throws IOException {
        KXmlParser parser = new KXmlParser();
        try {
            parser.setInput(inputStream, null);
        } catch (XmlPullParserException e) {
           throw new IOException(e.toString());
        }
        try {
            parser.nextTag();
            parser.require(XmlPullParser.START_TAG, null, "test-app");
            while(parser.nextTag() == XmlPullParser.START_TAG) {
                parser.require(XmlPullParser.START_TAG, null, "myprop");
            }
        } catch (XmlPullParserException e) {
            throw new IOException(e.toString());
        }
    }

}
